calendar.GetDate() funktioniert nicht

Plattformunabhängige GUIs mit wxWidgets.
diComm
User
Beiträge: 10
Registriert: Mittwoch 10. Januar 2007, 09:46

calendar.GetDate() funktioniert nicht

Beitragvon diComm » Mittwoch 10. Januar 2007, 10:06

Hallo

Ich arbeite an einer Software in Delphi, in der kleinere Berechnungen mit Python gemacht werden, damit sie dynamisch bleiben und auf den Kunden abgestimmt werden können. Jetzt ist dazugekommen, das auch einige Fenster in Python gemacht werden müssen, damit der Kunde Parameter für die Berechnungen eingeben kann. Unsere Wahl war wxPython. Die PythonScripts werden jeweils in einer Datenbank gespeichert und von Delphi PythonForDelphi ausgeführt. Die WX Scripts werden als Runtime mitgeliefert.

Bis jetzt hat alles wunderbar geklappt. Doch nun benötige ich einen Kalender in einem Form. Lokal bei mir funktioniert alles prima. Aber wenn ich das Programm auf einen Testrechner packe, funktioniert der Befehl GetDate() nicht. Das Programm macht da gar nichts mehr.
Da ich das Programm von meinem Delphiprogramm aus aufrufen muss, bekomme ich keine Fehlermeldung.

Ich weiss, es ist schwer, jemandem zu helfen, der nicht mal die Fehlermeldung kennt. Aber weiss jemand, wie ich eine Fehlermeldung provozieren kann (mit print anzeigen oder so)?
diComm
User
Beiträge: 10
Registriert: Mittwoch 10. Januar 2007, 09:46

Beitragvon diComm » Mittwoch 10. Januar 2007, 10:50

Ich konnte mein Problem selber lösen. Ich weiss zwar nicht wieso, aber wenn ich PyGetDate anstelle von GetDate nehme klappts auch auf dem Testrechner...
Benutzeravatar
Rebecca
User
Beiträge: 1662
Registriert: Freitag 3. Februar 2006, 12:28
Wohnort: DN, Heimat: HB
Kontaktdaten:

Beitragvon Rebecca » Mittwoch 10. Januar 2007, 11:05

So kannst du dir uebrigens Fehlermeldungen sichtbar machen, wenn sie von irgendwas "geschluckt" werden:

Code: Alles auswählen

import sys
import traceback

logger = open("logger", "w")

try:
    raise TypeError("bla")
except:
    exc = sys.exc_info();
    traceback.print_exception(exc[0], exc[1], exc[2], None, logger)


Hier habe ich dann in der Datei logger den ueblichen Traceback:
[code=]Traceback (most recent call last):
File "./exception_printing.py", line 9, in ?
raise TypeError("bla")
TypeError: bla[/code]

Vielleicht kannst du es ja trotzdem noch brauchen. :)
diComm
User
Beiträge: 10
Registriert: Mittwoch 10. Januar 2007, 09:46

Beitragvon diComm » Mittwoch 10. Januar 2007, 13:56

Vielen Dank, das wird mir sicher noch mal helfen.

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder